Problem when upgraded my blog to the latest version

Sep 12, 2011 at 4:07 PM

Hi,

I just upgraded to latest version and it was working ok on my local machine. When i upload it to my host i get following error:

Configuration Error
Description: An error occurred during the processing of a configuration file required to service this request. Please review the specific error details below and modify your configuration file appropriately.

Parser Error Message: Unrecognized configuration section system.web.extensions.

Source Error:

Line 52: 		</behaviors>
Line 53: 	</system.serviceModel>
Line 54: 	<system.web.extensions>
Line 55: 		<scripting>
Line 56: 			<webServices>


Source File: C:\Inetpub\ftproot\LocalUser\site\mysite\blog\web.config    Line: 54

Version Information: Microsoft .NET Framework Version:2.0.50727.3623; ASP.NET Version:2.0.50727.3618 

Coordinator
Sep 12, 2011 at 5:42 PM

Latest version (2.5) requires .net 4.0 - your error message indicates that host server runs 2.0.

Most hosts provide some kind of control panel to switch between .net version if they support multiple, check with your host if they support .net 4.0 and if yes how to switch version.

Sep 12, 2011 at 8:29 PM

host changed to 4.0 and it's working...

thanks